#!/usr/local/bin/luac53 -p --
--[[
--@brief  Quasi Robot Language; LuaChip
--@date   Sat,17 Oct,2020
--@date   Sat,30 Oct,2021
--@date   Sun,06 Mar,2022
--@date   Mon,09 Jan,2023
--@date   Mon,26 Jun,2023
--@date   Tue,27 Jun,2023
--@author Copyright(C)2020-2023 G-HAL
--]]

-- ##begin##
-- name : Get Damage of Module
-- size : 6 , 1
-- footprint :
-- ######
-- address :
-- chip_coordinates_tag : ##010##
-- chip_number_tag : ##011##
-- chip_number : 
-- chip_footprint_tag : ##012##
-- next_address_condition_true_coordinates_tag : ##020##
-- next_address_condition_true_tag : ##021##
-- next_address_condition_true : 0010013
-- argument : 2
-- argument_comment[1] : Damage
-- argument[1] : var
-- argument_tag[1] : ##111##
-- argument_type[1] : var
-- argument_geometry[1] : x:16 , y:16 , w:123 , h:31
-- argument_comment[2] : Module
-- argument[2] : mod
-- argument_tag[2] : ##121##
-- argument_type[2] : var
-- argument_geometry[2] : x:278 , y:16 , w:123 , h:31
-- ##body##

function qrl_chip##011##(Mek, GB)
  PrintTraceMessage(GB, Mek, '##010##:##011##:Get_Damage_of_Module');
  PrintTracer(GB, Mek, '##012##');
  if enable_debugger then
    dbg();
  end;
  if (c_Variable_Type_Module ~= g_QRL_UserVariable_Type["##121##"]) then
    PrintErrorMessage(GB, Mek, '##010##:##011##:Get_Damage_of_Module:No module is selected.');
    return '##021##';
  end;

  g_QRL_UserVariable_Type["##111##"] = c_Variable_Type_Num;
  g_QRL_UserVariable_Contents["##111##"] = PercentDamaged(g_QRL_UserVariable_Contents["##121##"]);
  return '##021##';
end;

-- ##end##
-- [ End of File ]
